Can't start Minecraft server

  • 96 Views
  • Last Post 3 weeks ago
  • Topic Is Solved
chybber posted this 3 weeks ago

The Minecraft server stopped within 5 seconds of starting, this is not a fault with AMP - you should check your Minecraft servers log files to find out why it is unable to start.

Log for minecraft/spigot is empty.

Console says: java.lang.BootstrapMethodError: java.lang.ExceptionInInitializerError at net.minecraft.server.v116R2.RegistryGeneration.(SourceFile:50) at net.minecraft.server.v116R2.IRegistry.(SourceFile:237) at net.minecraft.server.v116R2.DispenserRegistry.init(DispenserRegistry.java:29) at net.minecraft.server.v116R2.Main.main(Main.java:60) at org.bukkit.craftbukkit.Main.main(Main.java:202) Caused by: java.lang.ExceptionInInitializerError at java.lang.J9VMInternals.ensureError(J9VMInternals.java:147) at java.lang.J9VMInternals.recordInitializationFailure(J9VMInternals.java:136) at java.lang.invoke.MethodHandle.getCPMethodHandleAt(Native Method) at java.lang.invoke.MethodHandle.getAdditionalBsmArg(MethodHandle.java:869) at java.lang.invoke.MethodHandle.resolveInvokeDynamic(MethodHandle.java:948) ... 5 more Caused by: java.lang.NullPointerException at net.minecraft.server.v116R2.RegistryGeneration.a(SourceFile:88) at net.minecraft.server.v116R2.WorldGenFeaturePieces.a(SourceFile:20) at net.minecraft.server.v116R2.WorldGenFeaturePieces.(SourceFile:13) ... 8 more

Order By: Standard | Newest | Votes
Mike posted this 3 weeks ago

What version of java do you have installed?

chybber posted this 3 weeks ago

What version of java do you have installed?

root@w00t:/etc# java -showversion openjdk version "1.8.0265" OpenJDK Runtime Environment (build 1.8.0265-b01) Eclipse OpenJ9 VM (build openj9-0.21.0, JRE 1.8.0 Linux amd64-64-Bit Compressed References 20200728_727 (JIT enabled, AOT enabled) OpenJ9 - 34cf4c075 OMR - 113e54219 JCL - c82ff0c20f based on jdk8u265-b01)

Mike posted this 3 weeks ago

Is this an existing server you imported into AMP or did you set it up from within AMP from the start?

chybber posted this 3 weeks ago

Is this an existing server you imported into AMP or did you set it up from within AMP from the start?

Fresh install within AMP

Mike posted this 3 weeks ago

Try doing:

sudo su
apt remove adoptopenjdk-8-openj9
apt install adoptopenjdk-8-hotspot

  • Liked by
  • chybber
chybber posted this 3 weeks ago

Try doing:

sudo su
apt remove adoptopenjdk-8-openj9
apt install adoptopenjdk-8-hotspot

Thanks alot. How simple it sometimes can be, works like a charm now :)

Close